← OBPdynamic-entity Create new sustainable_development_goal POST /obp/dynamic-entity/banks/dylan-bank/sustainable_development_goal OBPv4.0.0-dynamicEntity_createsustainable_development_goal_dylan-bank Roles: CanCreateDynamicEntityRecord_sustainable_development_goal(per bank) _Sustainable_development_goal(dylan-bank)Dynamic-EntityDynamic Create new sustainable_development_goal. For data from the block chain about about an activity. This Dynamic Entity is part of OGCR. MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"sustainable_development_goal" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example request body { "sustainable_development_goal_id": "string", "sustainable_development_goal_name": "string", "sustainable_development_goal_link": "string" } Example success response { "bank_id": "dylan-bank", "sustainable_development_goal": { "sustainable_development_goal_id": "string", "sustainable_development_goal_name": "string", "sustainable_development_goal_link": "string" } } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-10001: Incorrect json format.OBP-50000: Unknown Error.